View Issue Details

IDProjectCategoryView StatusLast Update
0003839SymmetricDSImprovementpublic2019-04-24 09:06
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003839: Trigger capture with fallback to slower use_capture_lob/contains_big_lob (Oracle)
DescriptionModify trigger template on Oracle to use faster capture method for narrow data, then handle the data truncation exception by using the slow capture method for LOB data. The faster method is similar to sym_trigger.use_capture_lob=0 and sym_channel_contains_big_lob=0, which concatenates columns as strings and substrings the first 4000 characters of LOBs. The slower method is similar to sym_trigger.use_capture_lob=1 and sym_channel_contains_big_lob=1, which concatenates columns as a CLOB.
Additional Information50k rows under 4k characters
----------------------------
original trigger - real 6m22.685s
fallback trigger- real 6m22.992s

50k rows over 4k characters
----------------------------
original trigger - real 10m51.418s
fallback trigger - real 11m28.633s
TagsNo tags attached.

Relationships

related to 0002751 closedelong Incorrect Trig/Capture on Oracle Dialect When Lob Data > 4k and Channel contains_big_log = 0 & trigger use_capture_lobs = 1 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 2f2f4f6c

2018-12-20 09:02:12

elong

Details Diff
0003839: Trigger capture with fallback to slower
use_capture_lob/contains_big_lob (Oracle)

0003839
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: 3.10 f7e60c34

2018-12-20 15:04:57

admin

Details Diff
0003839: Trigger capture with fallback to slower
use_capture_lob/contains_big_lob (Oracle)

0003839
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers.ad Diff File

Issue History

Date Modified Username Field Change
2018-12-20 08:59 elong New Issue
2018-12-20 08:59 elong Status new => assigned
2018-12-20 08:59 elong Assigned To => elong
2018-12-20 09:20 elong Status assigned => resolved
2018-12-20 09:20 elong Resolution open => fixed
2018-12-20 09:20 elong Fixed in Version => 3.10.0
2018-12-20 10:00 elong Changeset attached => SymmetricDS 3.10 2f2f4f6c
2018-12-20 16:00 admin Changeset attached => SymmetricDS 3.10 f7e60c34
2019-03-14 08:48 admin Status resolved => closed
2019-04-24 09:06 elong Relationship added related to 0002751